# keystonemiddleware.fixture module

class keystonemiddleware.fixture.AuthTokenFixture

  Bases: `Fixture`

  Overrides what keystonemiddleware will return to the app behind it.

  add_token(token_data, token_id=None)

    Add an existing token to the middleware.

    Parameters:

      - token_data (dict) – token data to add to the fixture

      - token_id (str) – the token ID to add this token as

    Returns:

      The token_id that the token was added as.

    Return type:

      str

  add_token_data(token_id=None, expires=None, user_id=None, user_name=None, user_domain_id=None, user_domain_name=None, project_id=None, project_name=None, project_domain_id=None, project_domain_name=None, role_list=None, is_v2=False)

    Add token data to the auth_token fixture.

  fetch_token(token, **kwargs)

    Low level replacement of fetch_token for AuthProtocol.

  setUp()

    Prepare the Fixture for use.

    This should not be overridden. Concrete fixtures should implement _setUp. Overriding of setUp is still supported, just not recommended.

    After setUp has completed, the fixture will have one or more attributes which can be used (these depend totally on the concrete subclass).

    Raises:

      MultipleExceptions if _setUp fails. The last exception captured within the MultipleExceptions will be a SetupError exception.

    Returns:

      None.

    Changed in 1.3:

      The recommendation to override setUp has been reversed - before 1.3, setUp() should be overridden, now it should not be.

    Changed in 1.3.1:

      BaseException is now caught, and only subclasses of Exception are wrapped in MultipleExceptions.

  property tokens

this page last updated: 2026-08-12 22:27:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug